xcb_glx_query_extensions_string(3)

NAME
xcb_glx_query_extensions_string -

SYNOPSIS
#include <xcb/glx.h>

  Request function

xcb_glx_query_extensions_string_cookie_t xcb_glx_query_extensions_string(xcb_connection_t *conn, uint32_t screen);

  Reply datastructure

typedef struct xcb_glx_query_extensions_string_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint8_t  pad1[4];
    uint32_t n;
    uint8_t  pad2[16];
} xcb_glx_query_extensions_string_reply_t;

  Reply function

xcb_glx_query_extensions_string_reply_t *xcb_glx_query_extensions_string_reply(xcb_connection_t *conn, xcb_glx_query_extensions_string_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

screen
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_GLX_QUERY_EXTENSIONS_STRING. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

n   TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_glx_query_extensions_string_cookie_t. Errors have to be handled when calling the reply function xcb_glx_query_extensions_string_reply. If you want to handle errors in the event loop instead, use xcb_glx_query_extensions_string_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from glx.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.